{
  "getAllPSDEACModes" : [ {
    "codeName" : "Default",
    "logicName" : "DEFAULT",
    "name" : "DEFAULT",
    "getPSDEACModeDataItems" : [ {
      "dataType" : 25,
      "name" : "value"
    }, {
      "dataType" : 25,
      "name" : "text"
    } ],
    "pagingSize" : 50,
    "defaultMode" : true,
    "enablePagingBar" : false,
    "id" : "PSMODULES/ModelRepository/PSDATAENTITIES/ViewLayoutModelRepository/PSDEACMODES/Default.json"
  } ],
  "getAllPSDEActions" : [ {
    "actionMode" : "CREATE",
    "actionType" : "BUILTIN",
    "codeName" : "Create",
    "dynaModelFilePath" : "PSMODULES/ModelRepository/PSDATAENTITIES/ViewLayoutModelRepository/PSDEACTIONS/Create.json",
    "logicName" : "Create",
    "name" : "Create",
    "orderValue" : 1,
    "getPSDEActionInput" : {
      "name" : "CreateInput",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "ViewLayoutModelRepositoryDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSDEActionReturn" : {
      "name" : "CreateResult",
      "type" : "VOID"
    },
    "builtinAction" : true
  }, {
    "actionMode" : "UPDATE",
    "actionType" : "BUILTIN",
    "codeName" : "Update",
    "dynaModelFilePath" : "PSMODULES/ModelRepository/PSDATAENTITIES/ViewLayoutModelRepository/PSDEACTIONS/Update.json",
    "logicName" : "Update",
    "name" : "Update",
    "orderValue" : 11,
    "getPSDEActionInput" : {
      "name" : "UpdateInput",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "ViewLayoutModelRepositoryDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSDEActionReturn" : {
      "name" : "UpdateResult",
      "type" : "VOID"
    },
    "builtinAction" : true
  }, {
    "actionMode" : "DELETE",
    "actionType" : "BUILTIN",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "dynaModelFilePath" : "PSMODULES/ModelRepository/PSDATAENTITIES/ViewLayoutModelRepository/PSDEACTIONS/Remove.json",
    "logicName" : "Remove",
    "name" : "Remove",
    "orderValue" : 21,
    "getPSDEActionInput" : {
      "getKeyPSDEField" : {
        "name" : "VIEWLAYOUTMODELREPOSITORYID",
        "codeName" : "VIEWLAYOUTMODELREPOSITORYId"
      },
      "name" : "RemoveInput",
      "type" : "KEYFIELDS"
    },
    "getPSDEActionReturn" : {
      "name" : "RemoveResult",
      "type" : "VOID"
    },
    "batchAction" : true,
    "builtinAction" : true
  }, {
    "actionMode" : "READ",
    "actionType" : "BUILTIN",
    "codeName" : "Get",
    "dynaModelFilePath" : "PSMODULES/ModelRepository/PSDATAENTITIES/ViewLayoutModelRepository/PSDEACTIONS/Get.json",
    "logicName" : "Get",
    "name" : "Get",
    "orderValue" : 31,
    "getPSDEActionInput" : {
      "getKeyPSDEField" : {
        "name" : "VIEWLAYOUTMODELREPOSITORYID",
        "codeName" : "VIEWLAYOUTMODELREPOSITORYId"
      },
      "name" : "GetInput",
      "type" : "KEYFIELD"
    },
    "getPSDEActionReturn" : {
      "name" : "GetResult",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "ViewLayoutModelRepositoryDTO"
      },
      "type" : "DTO"
    },
    "builtinAction" : true
  }, {
    "actionMode" : "GETDRAFT",
    "actionType" : "BUILTIN",
    "codeName" : "GetDraft",
    "dynaModelFilePath" : "PSMODULES/ModelRepository/PSDATAENTITIES/ViewLayoutModelRepository/PSDEACTIONS/GetDraft.json",
    "logicName" : "GetDraft",
    "name" : "GetDraft",
    "orderValue" : 41,
    "getPSDEActionInput" : {
      "name" : "GetDraftInput",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "ViewLayoutModelRepositoryDTO"
      },
      "type" : "DTO"
    },
    "getPSDEActionReturn" : {
      "name" : "GetDraftResult",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "ViewLayoutModelRepositoryDTO"
      },
      "type" : "DTO"
    },
    "builtinAction" : true
  }, {
    "actionMode" : "CHECKKEY",
    "actionType" : "BUILTIN",
    "codeName" : "CheckKey",
    "dynaModelFilePath" : "PSMODULES/ModelRepository/PSDATAENTITIES/ViewLayoutModelRepository/PSDEACTIONS/CheckKey.json",
    "logicName" : "CheckKey",
    "name" : "CheckKey",
    "getPSDEActionInput" : {
      "name" : "CheckKeyInput",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "ViewLayoutModelRepositoryDTO"
      },
      "type" : "DTO"
    },
    "getPSDEActionReturn" : {
      "name" : "CheckKeyResult",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "builtinAction" : true
  }, {
    "actionMode" : "UNKNOWN",
    "actionType" : "BUILTIN",
    "codeName" : "Save",
    "dynaModelFilePath" : "PSMODULES/ModelRepository/PSDATAENTITIES/ViewLayoutModelRepository/PSDEACTIONS/Save.json",
    "logicName" : "Save",
    "name" : "Save",
    "getPSDEActionInput" : {
      "name" : "SaveInput",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "ViewLayoutModelRepositoryDTO"
      },
      "type" : "DTO"
    },
    "getPSDEActionReturn" : {
      "name" : "SaveResult",
      "type" : "VOID"
    },
    "builtinAction" : true
  } ],
  "getAllPSDEDBConfigs" : [ {
    "dBType" : "MYSQL5",
    "name" : "MYSQL5",
    "objNameCase" : "DEFAULT",
    "standardTableName" : "`T_VIEWLAYOUTMODELREPOSITORY`",
    "tableName" : "T_VIEWLAYOUTMODELREPOSITORY",
    "valid" : true
  } ],
  "getAllPSDEDBTables" : [ {
    "getAllPSDEFields" : [ {
      "name" : "VIEWLAYOUTMODELREPOSITORYID",
      "codeName" : "VIEWLAYOUTMODELREPOSITORYId"
    }, {
      "name" : "VIEWLAYOUTMODELREPOSITORYNAME",
      "codeName" : "VIEWLAYOUTMODELREPOSITORYName"
    }, {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    }, {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }, {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    }, {
      "name" : "CREATEMAN",
      "codeName" : "CreateMan"
    } ],
    "codeName" : "Table",
    "name" : "T_VIEWLAYOUTMODELREPOSITORY",
    "getPSSysDBTable" : {
      "modelref" : true,
      "id" : "T_VIEWLAYOUTMODELREPOSITORY"
    },
    "tableType" : "MAIN"
  } ],
  "getAllPSDEDataQueries" : [ {
    "getAllPSDEDataQueryCodes" : [ {
      "modelref" : true,
      "path" : "PSMODULES/ModelRepository/PSDATAENTITIES/ViewLayoutModelRepository/PSDEDATAQUERIES/Default/PSDEDQCODES/MYSQL5.json"
    } ],
    "codeName" : "Default",
    "logicName" : "数据查询",
    "name" : "DEFAULT",
    "getPSDEDQMain" : {
      "getJoinPSDataEntity" : {
        "modelref" : true,
        "path" : "PSMODULES/ModelRepository/PSDATAENTITIES/ViewLayoutModelRepository.json"
      },
      "joinType" : "MAIN",
      "name" : "VIEWLAYOUTMODELREPOSITORY"
    },
    "getPSDEDataQueryInput" : {
      "name" : "DefaultInput",
      "getPSDEFilterDTO" : {
        "modelref" : true,
        "id" : "ViewLayoutModelRepositoryFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSDEDataQueryReturn" : {
      "name" : "DefaultResult",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "ViewLayoutModelRepositoryDTO"
      },
      "type" : "DTOS"
    },
    "defaultMode" : true
  }, {
    "getAllPSDEDataQueryCodes" : [ {
      "modelref" : true,
      "path" : "PSMODULES/ModelRepository/PSDATAENTITIES/ViewLayoutModelRepository/PSDEDATAQUERIES/View/PSDEDQCODES/MYSQL5.json"
    } ],
    "codeName" : "View",
    "logicName" : "默认（全部数据）",
    "name" : "VIEW",
    "getPSDEDQMain" : {
      "getJoinPSDataEntity" : {
        "modelref" : true,
        "path" : "PSMODULES/ModelRepository/PSDATAENTITIES/ViewLayoutModelRepository.json"
      },
      "joinType" : "MAIN",
      "name" : "VIEWLAYOUTMODELREPOSITORY"
    },
    "getPSDEDataQueryInput" : {
      "name" : "ViewInput",
      "getPSDEFilterDTO" : {
        "modelref" : true,
        "id" : "ViewLayoutModelRepositoryFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSDEDataQueryReturn" : {
      "name" : "ViewResult",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "ViewLayoutModelRepositoryDTO"
      },
      "type" : "DTOS"
    },
    "viewLevel" : 0
  } ],
  "getAllPSDEDataSets" : [ {
    "codeName" : "Default",
    "logicName" : "数据集",
    "name" : "DEFAULT",
    "getPSDEDataQueries" : [ {
      "modelref" : true,
      "id" : "Default"
    } ],
    "getPSDEDataSetInput" : {
      "name" : "DefaultInput",
      "getPSDEFilterDTO" : {
        "modelref" : true,
        "id" : "ViewLayoutModelRepositoryFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSDEDataSetReturn" : {
      "name" : "DefaultResult",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "ViewLayoutModelRepositoryDTO"
      },
      "type" : "PAGE"
    },
    "defaultMode" : true,
    "enableBackend" : true,
    "enableFront" : true
  } ],
  "getAllPSDEFields" : [ {
    "getAllPSDEFDTColumns" : [ {
      "columnName" : "VIEWLAYOUTMODELREPOSITORYID",
      "dBType" : "MYSQL5",
      "name" : "VIEWLAYOUTMODELREPOSITORYID",
      "queryCodeExp" : "t1.`VIEWLAYOUTMODELREPOSITORYID`",
      "standardColumnName" : "`VIEWLAYOUTMODELREPOSITORYID`"
    } ],
    "getAllPSDEFSearchModes" : [ {
      "codeName" : "N_VIEWLAYOUTMODELREPOSITORYID_EQ",
      "name" : "N_VIEWLAYOUTMODELREPOSITORYID_EQ",
      "stdDataType" : 25,
      "valueOP" : "EQ"
    } ],
    "getAllPSDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[VIEWLAYOUTMODELREPOSITORYID][视图布局模型存储标识]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[VIEWLAYOUTMODELREPOSITORYID][视图布局模型存储标识]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[VIEWLAYOUTMODELREPOSITORYID][视图布局模型存储标识]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[VIEWLAYOUTMODELREPOSITORYID][视图布局模型存储标识]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "getAllPSDEFValueRules" : [ {
      "codeName" : "Default",
      "name" : "默认规则",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组",
        "getPSDEFVRConditions" : [ {
          "condType" : "STRINGLENGTH",
          "dEFName" : "VIEWLAYOUTMODELREPOSITORYID",
          "maxValue" : 100,
          "name" : "默认字符串长度",
          "ruleInfo" : "内容长度必须小于等于[100]",
          "includeMaxValue" : true,
          "includeMinValue" : false,
          "keyCond" : true
        } ],
        "ruleInfo" : "内容长度必须小于等于[100]"
      },
      "ruleInfo" : "内容长度必须小于等于[100]",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    } ],
    "codeName" : "VIEWLAYOUTMODELREPOSITORYId",
    "dEFType" : 1,
    "dataType" : "GUID",
    "importOrder" : 1000,
    "length" : 100,
    "logicName" : "视图布局模型存储标识",
    "name" : "VIEWLAYOUTMODELREPOSITORYID",
    "getPSDEDBTable" : {
      "modelref" : true,
      "id" : "Table"
    },
    "getPSSysDBColumn" : {
      "modelref" : true,
      "id" : "VIEWLAYOUTMODELREPOSITORYID"
    },
    "serviceCodeName" : "VIEWLAYOUTMODELREPOSITORYId",
    "stdDataType" : 25,
    "stringLength" : 100,
    "valueFormat" : "%1$s",
    "allowEmpty" : false,
    "keyDEField" : true,
    "pasteReset" : true
  }, {
    "getAllPSDEFDTColumns" : [ {
      "columnName" : "VIEWLAYOUTMODELREPOSITORYNAME",
      "dBType" : "MYSQL5",
      "name" : "VIEWLAYOUTMODELREPOSITORYNAME",
      "queryCodeExp" : "t1.`VIEWLAYOUTMODELREPOSITORYNAME`",
      "standardColumnName" : "`VIEWLAYOUTMODELREPOSITORYNAME`"
    } ],
    "getAllPSDEFSearchModes" : [ {
      "codeName" : "N_VIEWLAYOUTMODELREPOSITORYNAME_LIKE",
      "name" : "N_VIEWLAYOUTMODELREPOSITORYNAME_LIKE",
      "stdDataType" : 25,
      "valueOP" : "LIKE"
    } ],
    "getAllPSDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[VIEWLAYOUTMODELREPOSITORYNAME][视图布局模型存储名称]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[VIEWLAYOUTMODELREPOSITORYNAME][视图布局模型存储名称]移动端默认",
        "stringLength" : 200,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[VIEWLAYOUTMODELREPOSITORYNAME][视图布局模型存储名称]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[VIEWLAYOUTMODELREPOSITORYNAME][视图布局模型存储名称]",
        "stringLength" : 200,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    } ],
    "getAllPSDEFValueRules" : [ {
      "codeName" : "Default",
      "name" : "默认规则",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组",
        "getPSDEFVRConditions" : [ {
          "condType" : "STRINGLENGTH",
          "dEFName" : "VIEWLAYOUTMODELREPOSITORYNAME",
          "maxValue" : 200,
          "name" : "默认字符串长度",
          "ruleInfo" : "内容长度必须小于等于[200]",
          "includeMaxValue" : true,
          "includeMinValue" : false,
          "keyCond" : true
        } ],
        "ruleInfo" : "内容长度必须小于等于[200]"
      },
      "ruleInfo" : "内容长度必须小于等于[200]",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    } ],
    "codeName" : "VIEWLAYOUTMODELREPOSITORYName",
    "dEFType" : 1,
    "dataType" : "TEXT",
    "importOrder" : 1000,
    "length" : 200,
    "logicName" : "视图布局模型存储名称",
    "name" : "VIEWLAYOUTMODELREPOSITORYNAME",
    "getPSDEDBTable" : {
      "modelref" : true,
      "id" : "Table"
    },
    "getPSSysDBColumn" : {
      "modelref" : true,
      "id" : "VIEWLAYOUTMODELREPOSITORYNAME"
    },
    "serviceCodeName" : "VIEWLAYOUTMODELREPOSITORYName",
    "stdDataType" : 25,
    "stringLength" : 200,
    "valueFormat" : "%1$s",
    "enableQuickSearch" : true,
    "majorDEField" : true
  }, {
    "getAllPSDEFDTColumns" : [ {
      "columnName" : "UPDATEMAN",
      "dBType" : "MYSQL5",
      "name" : "UPDATEMAN",
      "queryCodeExp" : "t1.`UPDATEMAN`",
      "standardColumnName" : "`UPDATEMAN`"
    } ],
    "getAllPSDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[UPDATEMAN][更新人]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[UPDATEMAN][更新人]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[UPDATEMAN][更新人]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[UPDATEMAN][更新人]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "getAllPSDEFValueRules" : [ {
      "codeName" : "Default",
      "name" : "默认规则",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组",
        "getPSDEFVRConditions" : [ {
          "condType" : "STRINGLENGTH",
          "dEFName" : "UPDATEMAN",
          "maxValue" : 60,
          "name" : "默认字符串长度",
          "ruleInfo" : "内容长度必须小于等于[60]",
          "includeMaxValue" : true,
          "includeMinValue" : false,
          "keyCond" : true
        } ],
        "ruleInfo" : "内容长度必须小于等于[60]"
      },
      "ruleInfo" : "内容长度必须小于等于[60]",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    } ],
    "codeName" : "UpdateMan",
    "dEFType" : 1,
    "dataType" : "TEXT",
    "importOrder" : 1000,
    "length" : 60,
    "logicName" : "更新人",
    "name" : "UPDATEMAN",
    "getPSCodeList" : {
      "modelref" : true,
      "path" : "PSCODELISTS/SysOperator.json"
    },
    "getPSDEDBTable" : {
      "modelref" : true,
      "id" : "Table"
    },
    "getPSSysDBColumn" : {
      "modelref" : true,
      "id" : "UPDATEMAN"
    },
    "predefinedType" : "UPDATEMAN",
    "serviceCodeName" : "UpdateMan",
    "stdDataType" : 25,
    "stringLength" : 60,
    "valueFormat" : "%1$s",
    "allowEmpty" : false,
    "systemReserver" : true
  }, {
    "getAllPSDEFDTColumns" : [ {
      "columnName" : "UPDATEDATE",
      "dBType" : "MYSQL5",
      "name" : "UPDATEDATE",
      "queryCodeExp" : "t1.`UPDATEDATE`",
      "standardColumnName" : "`UPDATEDATE`"
    } ],
    "getAllPSDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[UPDATEDATE][更新时间]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[UPDATEDATE][更新时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[UPDATEDATE][更新时间]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[UPDATEDATE][更新时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    } ],
    "getAllPSDEFValueRules" : [ {
      "codeName" : "Default",
      "name" : "默认规则",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组"
      },
      "ruleInfo" : "默认规则",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    } ],
    "codeName" : "UpdateDate",
    "dEFType" : 1,
    "dataType" : "DATETIME",
    "importOrder" : 1000,
    "length" : 8,
    "logicName" : "更新时间",
    "name" : "UPDATEDATE",
    "getPSDEDBTable" : {
      "modelref" : true,
      "id" : "Table"
    },
    "getPSSysDBColumn" : {
      "modelref" : true,
      "id" : "UPDATEDATE"
    },
    "predefinedType" : "UPDATEDATE",
    "serviceCodeName" : "UpdateDate",
    "stdDataType" : 5,
    "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
    "allowEmpty" : false,
    "systemReserver" : true
  }, {
    "getAllPSDEFDTColumns" : [ {
      "columnName" : "CREATEDATE",
      "dBType" : "MYSQL5",
      "name" : "CREATEDATE",
      "queryCodeExp" : "t1.`CREATEDATE`",
      "standardColumnName" : "`CREATEDATE`"
    } ],
    "getAllPSDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[CREATEDATE][建立时间]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[CREATEDATE][建立时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[CREATEDATE][建立时间]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[CREATEDATE][建立时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    } ],
    "getAllPSDEFValueRules" : [ {
      "codeName" : "Default",
      "name" : "默认规则",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组"
      },
      "ruleInfo" : "默认规则",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    } ],
    "codeName" : "CreateDate",
    "dEFType" : 1,
    "dataType" : "DATETIME",
    "importOrder" : 1000,
    "length" : 8,
    "logicName" : "建立时间",
    "name" : "CREATEDATE",
    "getPSDEDBTable" : {
      "modelref" : true,
      "id" : "Table"
    },
    "getPSSysDBColumn" : {
      "modelref" : true,
      "id" : "CREATEDATE"
    },
    "predefinedType" : "CREATEDATE",
    "serviceCodeName" : "CreateDate",
    "stdDataType" : 5,
    "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
    "allowEmpty" : false,
    "systemReserver" : true
  }, {
    "getAllPSDEFDTColumns" : [ {
      "columnName" : "CREATEMAN",
      "dBType" : "MYSQL5",
      "name" : "CREATEMAN",
      "queryCodeExp" : "t1.`CREATEMAN`",
      "standardColumnName" : "`CREATEMAN`"
    } ],
    "getAllPSDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[CREATEMAN][建立人]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[CREATEMAN][建立人]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[CREATEMAN][建立人]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[CREATEMAN][建立人]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    } ],
    "getAllPSDEFValueRules" : [ {
      "codeName" : "Default",
      "name" : "默认规则",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组",
        "getPSDEFVRConditions" : [ {
          "condType" : "STRINGLENGTH",
          "dEFName" : "CREATEMAN",
          "maxValue" : 60,
          "name" : "默认字符串长度",
          "ruleInfo" : "内容长度必须小于等于[60]",
          "includeMaxValue" : true,
          "includeMinValue" : false,
          "keyCond" : true
        } ],
        "ruleInfo" : "内容长度必须小于等于[60]"
      },
      "ruleInfo" : "内容长度必须小于等于[60]",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    } ],
    "codeName" : "CreateMan",
    "dEFType" : 1,
    "dataType" : "TEXT",
    "importOrder" : 1000,
    "length" : 60,
    "logicName" : "建立人",
    "name" : "CREATEMAN",
    "getPSCodeList" : {
      "modelref" : true,
      "path" : "PSCODELISTS/SysOperator.json"
    },
    "getPSDEDBTable" : {
      "modelref" : true,
      "id" : "Table"
    },
    "getPSSysDBColumn" : {
      "modelref" : true,
      "id" : "CREATEMAN"
    },
    "predefinedType" : "CREATEMAN",
    "serviceCodeName" : "CreateMan",
    "stdDataType" : 25,
    "stringLength" : 60,
    "valueFormat" : "%1$s",
    "allowEmpty" : false,
    "systemReserver" : true
  } ],
  "getAllPSDEMethodDTOs" : [ {
    "name" : "ViewLayoutModelRepositoryDTO",
    "getPSDEMethodDTOFields" : [ {
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "建立时间",
      "name" : "CreateDate",
      "getPSDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false,
      "readOnly" : true
    }, {
      "logicName" : "建立人",
      "name" : "CreateMan",
      "getPSDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "stringLength" : 60,
      "type" : "SIMPLE",
      "allowEmpty" : false,
      "readOnly" : true
    }, {
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "更新时间",
      "name" : "UpdateDate",
      "getPSDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false,
      "readOnly" : true
    }, {
      "logicName" : "更新人",
      "name" : "UpdateMan",
      "getPSDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "stringLength" : 60,
      "type" : "SIMPLE",
      "allowEmpty" : false,
      "readOnly" : true
    }, {
      "logicName" : "视图布局模型存储标识",
      "name" : "VIEWLAYOUTMODELREPOSITORYId",
      "getPSDEField" : {
        "name" : "VIEWLAYOUTMODELREPOSITORYID",
        "codeName" : "VIEWLAYOUTMODELREPOSITORYId"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "stringLength" : 100,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "logicName" : "视图布局模型存储名称",
      "name" : "VIEWLAYOUTMODELREPOSITORYName",
      "getPSDEField" : {
        "name" : "VIEWLAYOUTMODELREPOSITORYNAME",
        "codeName" : "VIEWLAYOUTMODELREPOSITORYName"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "stringLength" : 200,
      "type" : "SIMPLE"
    } ],
    "sourceType" : "DE",
    "type" : "DEFAULT",
    "defaultMode" : true
  }, {
    "name" : "ViewLayoutModelRepositoryFilterDTO",
    "getPSDEFilterDTOFields" : [ {
      "logicName" : "视图布局模型存储标识",
      "name" : "N_VIEWLAYOUTMODELREPOSITORYID_EQ",
      "getPSDEFSearchMode" : {
        "modelref" : true,
        "id" : "N_VIEWLAYOUTMODELREPOSITORYID_EQ"
      },
      "getPSDEField" : {
        "name" : "VIEWLAYOUTMODELREPOSITORYID",
        "codeName" : "VIEWLAYOUTMODELREPOSITORYId"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "logicName" : "视图布局模型存储名称",
      "name" : "N_VIEWLAYOUTMODELREPOSITORYNAME_LIKE",
      "getPSDEFSearchMode" : {
        "modelref" : true,
        "id" : "N_VIEWLAYOUTMODELREPOSITORYNAME_LIKE"
      },
      "getPSDEField" : {
        "name" : "VIEWLAYOUTMODELREPOSITORYNAME",
        "codeName" : "VIEWLAYOUTMODELREPOSITORYName"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    } ],
    "sourceType" : "DE",
    "type" : "DEFILTER",
    "defaultMode" : true
  } ],
  "getAllPSDEOPPrivs" : [ {
    "logicName" : "建立",
    "name" : "CREATE"
  }, {
    "logicName" : "删除",
    "name" : "DELETE"
  }, {
    "logicName" : "读取",
    "name" : "READ"
  }, {
    "logicName" : "更新",
    "name" : "UPDATE"
  } ],
  "getAllPSModelDatas" : [ {
    "codeName" : "DEPickupGridViewLayout",
    "logicName" : "实体选择表格视图布局面板",
    "name" : "实体选择表格视图布局面板",
    "realModelSubType" : "DEPICKUPGRIDVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "DEEditViewLayout",
    "logicName" : "编辑视图布局面板",
    "name" : "编辑视图布局面板",
    "realModelSubType" : "DEEDITVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "DEDataViewLayout",
    "logicName" : "卡片视图布局面板",
    "name" : "卡片视图布局面板",
    "realModelSubType" : "DEDATAVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "DEListViewLayout",
    "logicName" : "列表视图布局面板",
    "name" : "列表视图布局面板",
    "realModelSubType" : "DELISTVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "DEGridExpViewLayout",
    "logicName" : "表格导航视图布局面板",
    "name" : "表格导航视图布局面板",
    "realModelSubType" : "DEGRIDEXPVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "DEGridViewLayout",
    "logicName" : "表格视图布局面板",
    "name" : "表格视图布局面板",
    "realModelSubType" : "DEGRIDVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "DEListExpViewLayout",
    "logicName" : " 实体列表导航视图布局面板",
    "name" : " 实体列表导航视图布局面板",
    "realModelSubType" : "DELISTEXPVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "DEMPickupViewLayout",
    "logicName" : "多项选择视图布局面板",
    "name" : "多项选择视图布局面板",
    "realModelSubType" : "DEMPICKUPVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "DEChartViewLayout",
    "logicName" : "图表视图布局面板",
    "name" : "图表视图布局面板",
    "realModelSubType" : "DECHARTVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "DEDataViewExpViewLayout",
    "logicName" : "实体卡片视图导航视图布局面板",
    "name" : "实体卡片视图导航视图布局面板",
    "realModelSubType" : "DEDATAVIEWEXPVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "DETreeViewLayout",
    "logicName" : "树视图布局面板",
    "name" : "树视图布局面板",
    "realModelSubType" : "DETREEVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "DECalendarViewLayout",
    "logicName" : "日历视图布局面板",
    "name" : "日历视图布局面板",
    "realModelSubType" : "DECALENDARVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "DEPickupViewLayout",
    "logicName" : "选择视图布局面板",
    "name" : "选择视图布局面板",
    "realModelSubType" : "DEPICKUPVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "DETabExpViewLayout",
    "logicName" : "分页导航视图布局面板",
    "name" : "分页导航视图布局面板",
    "realModelSubType" : "DETABEXPVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "DETreeExpViewLayout",
    "logicName" : " 实体树导航视图布局面板",
    "name" : " 实体树导航视图布局面板",
    "realModelSubType" : "DETREEEXPVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "DEOptionViewLayout",
    "logicName" : "选项操作视图布局面板",
    "name" : "选项操作视图布局面板",
    "realModelSubType" : "DEOPTVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "Main",
    "logicName" : "主编辑表单",
    "modelTag2" : "0",
    "name" : "主编辑表单",
    "realModelSubType" : "EDITFORM",
    "realModelType" : "PSDEFORM"
  } ],
  "codeName" : "ViewLayoutModelRepository",
  "dEType" : 1,
  "dSLink" : "DEFAULT",
  "dataAccCtrlArch" : 1,
  "dataAccCtrlMode" : 1,
  "dataChangeLogMode" : 0,
  "dataImpExpMode" : 3,
  "getDefaultPSDEDataQuery" : {
    "modelref" : true,
    "id" : "Default"
  },
  "getDefaultPSDEDataSet" : {
    "modelref" : true,
    "id" : "Default"
  },
  "getDefaultPSDEFilterDTO" : {
    "modelref" : true,
    "id" : "ViewLayoutModelRepositoryFilterDTO"
  },
  "getDefaultPSDEMethodDTO" : {
    "modelref" : true,
    "id" : "ViewLayoutModelRepositoryDTO"
  },
  "dynaInstMode" : 0,
  "dynaModelFilePath" : "PSMODULES/ModelRepository/PSDATAENTITIES/ViewLayoutModelRepository.json",
  "enableActions" : 7,
  "enableUIActions" : 15,
  "enableViewLevel" : 0,
  "extendMode" : 0,
  "getKeyPSDEField" : {
    "name" : "VIEWLAYOUTMODELREPOSITORYID",
    "codeName" : "VIEWLAYOUTMODELREPOSITORYId"
  },
  "logicName" : "视图布局模型存储",
  "getMajorPSDEField" : {
    "name" : "VIEWLAYOUTMODELREPOSITORYNAME",
    "codeName" : "VIEWLAYOUTMODELREPOSITORYName"
  },
  "name" : "VIEWLAYOUTMODELREPOSITORY",
  "getPSSysDBScheme" : {
    "modelref" : true,
    "path" : "PSSYSDBSCHEMES/DEFAULT.json"
  },
  "getPSSystemModule" : {
    "modelref" : true,
    "path" : "PSMODULES/ModelRepository.json"
  },
  "saaSMode" : 0,
  "serviceAPIMode" : 1,
  "serviceCodeName" : "ViewLayoutModelRepository",
  "storageMode" : 1,
  "systemTag" : "TrainSys",
  "tableName" : "T_VIEWLAYOUTMODELREPOSITORY",
  "enableAPIStorage" : false,
  "enableCreate" : true,
  "enableDataVer" : false,
  "enableEntityCache" : false,
  "enableModify" : true,
  "enableMultiDS" : false,
  "enableMultiForm" : false,
  "enableMultiStorage" : false,
  "enableNoSQLStorage" : false,
  "enableRemove" : true,
  "enableSQLStorage" : true,
  "logicValid" : false,
  "subSysAsCloud" : false
}